/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr.h>
#include <sys/printk.h>
#include "my_class.h"
#include "ex_class.h"

void main(void)
{
	printk("Hello World! %s\n", CONFIG_BOARD);

	MyClass myObject(5);
	MyClass* pObj = new MyClass(10);
	printk("Number is: %i\n", myObject.getNumber());
	myObject.addToNumber(5);
	printk("Number is now: %i\n", myObject.getNumber());
	delete pObj;
}
